#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is
# Mozilla Foundation.
# Portions created by the Initial Developer are Copyright (C) 2007
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../../../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@
relativesrcdir	= dom/tests/mochitest/ajax/offline

include $(DEPTH)/config/autoconf.mk

DIRS = namespace1 namespace2

include $(topsrcdir)/config/rules.mk

_TEST_FILES	= \
	offlineTests.js \
	test_badManifestMagic.html \
	test_badManifestMime.html \
	test_bypass.html \
	test_missingFile.html \
	test_noManifest.html \
	test_simpleManifest.html \
	test_identicalManifest.html \
	test_changingManifest.html \
	test_refetchManifest.html \
	test_offlineIFrame.html \
	test_bug445544.html \
	test_foreign.html \
	test_fallback.html \
	445544_part1.html \
	445544_part2.html \
	445544.cacheManifest \
	445544.cacheManifest^headers^ \
	test_bug460353.html \
	460353_iframe_nomanifest.html \
	460353_iframe_ownmanifest.html \
	460353_iframe_samemanifest.html \
	test_obsolete.html \
	obsolete.html \
	badManifestMagic.cacheManifest \
	badManifestMagic.cacheManifest^headers^ \
	bypass.cacheManifest \
	bypass.cacheManifest^headers^ \
	bypass.html \
	fallback.html \
	fallback2.html \
	fallbackTop.html \
	fallback.cacheManifest \
	fallback.cacheManifest^headers^ \
	foreign1.cacheManifest \
	foreign1.cacheManifest^headers^ \
	foreign2.cacheManifest \
	foreign2.cacheManifest^headers^ \
	foreign2.html \
	updatingIFrame.html \
	updatingIFrame.html^headers^ \
	updatingImplicit.html \
	missingFile.cacheManifest \
	missingFile.cacheManifest^headers^ \
	simpleManifest.cacheManifest \
	simpleManifest.cacheManifest^headers^ \
	updating.cacheManifest \
	updating.cacheManifest^headers^ \
	simpleManifest.notmanifest \
	changing1Sec.sjs \
	changing1Hour.sjs \
	changingManifest.cacheManifest \
	changingManifest.cacheManifest^headers^ \
	offlineChild.html \
	$(NULL)

# Bug 466314 - updatingImplicit.html (used by test_offlineMode.html and test_updatingManifest.html) crashes SeaMonkey
#	test_offlineMode.html \
#	notonwhitelist.html \
#	test_updatingManifest.html \
#	onwhitelist.html \
#	onwhitelist.html^headers^ \

libs::	$(_TEST_FILES)
	$(INSTALL) $(foreach f,$^,"$f") $(DEPTH)/_tests/testing/mochitest/tests/$(relativesrcdir)
